=== lib/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

SUBDIRS = gamedata customize help screens fonts tiles sounds icons user

# Hack to clean up stuff that may be generated by running Angband (perhaps as
# a side effect of 'make tests').
pre-distclean:
	for d in archive save scores ; do \
		if test -d $$d ; then rm -rf $$d ; fi \
	done
