=== lib/customize/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = \
	font-gcu.prf \
	font-sdl.prf \
	font-sdl2.prf \
	font-win.prf \
	font-x11.prf \
	font.prf \
	keys-gcu.prf \
	message.prf \
	pref.prf \
	user.prf \
	sound.prf

PACKAGE = customize
