=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = commands.txt index.txt r_comm.txt r_index.txt symbols.txt
PACKAGE = help
