=== lib/screens/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = crown.txt dead.txt news.txt
PACKAGE = screens
