=== debian/control ===
Source: angband
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Chris Carr <rantingman@gmail.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-sphinxdoc,
 libncurses-dev,
 libsdl2-dev,
 libsdl2-gfx-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsdl2-ttf-dev,
 python3-sphinx:native,
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://rephial.org
Vcs-Git: https://salsa.debian.org/games-team/angband.git
Vcs-Browser: https://salsa.debian.org/games-team/angband
X-Style: black

Package: angband
Architecture: any
Depends:
 angband-data,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 angband-audio,
Description: Single-player, text-based, dungeon simulation game
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue (though there are now graphical
 tiles available if you dislike ASCII gaming). Angband has been in more or
 less continuous development since the early 1990s.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire. To achieve this you will need to explore numerous dungeon levels,
 defeat many foes and sift through a great deal of treasure.
 .
 Angband is a reference to Morgoth's "prison of iron" in the world of
 Middle-Earth, created by J.R.R. Tolkien.

Package: angband-data
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-noto-mono,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 xfonts-base,
Replaces:
 angband (<< 1:3.3.2),
Breaks:
 angband-audio (<= 1:3.1.0-1),
Description: Game data for angband
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue (though there are now graphical
 tiles available if you dislike ASCII gaming). Angband has been in more or
 less continuous development since the early 1990s.
 .
 This package contains the data files for the game.
