=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# CC 18/01/15 - trying to remove lintian warnings:
# hardening-no-relro and hardening-no-fortify-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	[ ! -f mk/buildsys.mk ] || dh_auto_clean

override_dh_clean:
	dh_clean
	[ ! -f mk/extra.mk ] || $(MAKE) -C doc/manual clean

override_dh_auto_configure:
	./autogen.sh
	DOC_HTML_THEME=classic dh_auto_configure -- --with-setgid=games --datarootdir=/usr/share \
	--with-sphinx --with-x --enable-sdl2 --bindir=/usr/games --sysconfdir=/etc \
	--localstatedir=/var

execute_after_dh_auto_build:
	$(MAKE) manual

execute_after_dh_auto_install:
	mkdir -p debian/angband/usr/share/icons/hicolor/16x16/apps/
	mkdir -p debian/angband/usr/share/icons/hicolor/32x32/apps/
	mkdir -p debian/angband/usr/share/icons/hicolor/128x128/apps/
	mkdir -p debian/angband/usr/share/icons/hicolor/256x256/apps/
	mkdir -p debian/angband/usr/share/icons/hicolor/512x512/apps/
	cp ./lib/icons/att-16.png debian/angband/usr/share/icons/hicolor/16x16/apps/angband.png
	cp ./lib/icons/att-32.png debian/angband/usr/share/icons/hicolor/32x32/apps/angband.png
	cp ./lib/icons/att-128.png debian/angband/usr/share/icons/hicolor/128x128/apps/angband.png
	cp ./lib/icons/att-256.png debian/angband/usr/share/icons/hicolor/256x256/apps/angband.png
	cp ./lib/icons/att-512.png debian/angband/usr/share/icons/hicolor/512x512/apps/angband.png

override_dh_auto_test:
