=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=4

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
opts="compression=xz,repacksuffix=+dfsg1,repack,dversionmangle=auto" \
https://rephial.org/release .+/@ANY_VERSION@\.tar\.gz
